// cSpline.cpp

#import "cSpline.hpp"


SCALAR cSpline::GetX(SCALAR u)
{
  return spline_func(mV[0].mV[X], mV[1].mV[X], mV[2].mV[X], mV[3].mV[X], u);
}


SCALAR cSpline::GetY(SCALAR u)
{
  return spline_func(mV[0].mV[Y], mV[1].mV[Y], mV[2].mV[Y], mV[3].mV[Y], u);
}


SCALAR cSpline::GetZ(SCALAR u)
{
  return spline_func(mV[0].mV[Z], mV[1].mV[Z], mV[2].mV[Z], mV[3].mV[Z], u);
}


cVector cSpline::Get(SCALAR u)
{
  cVector v;
  v.Set(GetX(u), GetY(u), GetZ(u));
  return v;
}


