// cText.cpp

#import "cText.hpp"

#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>


cText::cText()
{
  Reset();
}


void  cText::Reset()
{
  int i;
  for (i=0; i<255; i++) s[i] = 0;
}


int   cText::Equal(char *str)
{
  if (strcmp(s, str)==0) return 1; else return 0;
}


int   cText::Length()
{
  return (strlen(s));
}


char *cText::Lower()
{
//  return (strlwr(s));
  int i, n = Length();
  for (i=0; i<n; i++) s[i] = toupper(s[i]);
  return (s);
}


char *cText::Upper()
{
//  return (strupr(s));
  int i, n = Length();
  for (i=0; i<n; i++) s[i] = tolower(s[i]);
  return (s);
}


char *cText::Assign(char *str)
{
  return (strcpy(s, str));
}


char *cText::Append(char *str)
{
  return (strcat(s, str));
}


char *cText::Front(char *str)
{
  cText *t = new cText;
  t->Assign(str);
  t->Append(s);
  Assign(t->s);
  delete t;
  return (s);
}


char *cText::GetPtr()
{
  return s;
}



