// cPose.hpp
//
// Stuff for a 3d engine.
// Copyright (c) 1999 by B.Pickhardt (pickhardt@debitel.net).
// aka hackCraft
//

class cPose;

#import "math3d.h"
#import "cVector.hpp"
#import "cMatrix.hpp"


class cPose {
  public:
  cVector           *mTarget;
  cVector            mPos;
  cVector            mRot;
  public:
                     cPose();
  cMatrix            GetObjectMatrix();
  cMatrix            GetCameraMatrix();
};


