// cTimer.cpp

#import "cTimer.hpp"

#include <time.h>
#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>


cTimer::cTimer()
{
  Update();
  Update(); // yes, two times!
}


void cTimer::Update()
{
  mNewClock = clock();
  mSPF = SCALAR(mNewClock - mOldClock) / CLOCKS_PER_SEC;
  mFPS = 1.0 / mSPF;
  mOldClock = mNewClock;
}


