// cModel.hpp

#if !defined(MODEL_INC)
#define MODEL_INC

#include <list>
using namespace std;

class cEntity;
class cEntityModel;
class cModelCollision;

class cModel  {
public:
  cModel() {};
  virtual ~cModel() {};
  
  cEntityModel* getNewEntityModel(char* descriptor = NULL);
  
  virtual void* createContext(char* descriptor = NULL) = 0;
  
  virtual void transformSelf(cEntityModel *entmod) = 0;
  virtual void drawSelf(cEntityModel *entmod) = 0;
  virtual void collideLine(cEntityModel *entmod, float* a, float* b, cModelCollision* &result) {};
};

#endif
